Summary: Popular Unix Irc client
Name: ircii
Version: 2.9_roof
Release: 1
Copyright: distributable
Group: Applications/Communications
Source: ftp://cs-pub.bu.edu/irc/clients/ircii-2.9-roof.tar.gz
Patch0: ircii-2.9-roof-configure.patch
Patch1: ircii-2.9-roof-misc.patch
BuildRoot: /tmp/ircii-root

# Patch1 derived partly from jurix.jura.uni-sb.de/pub/linux/source/networking/info-systems/ircii-2.9.dif

%description
This is a popular Internet Relay Chat (IRC) client.  It
is a program used to connect to IRC servers around the
globe so that the user can `chat'' with others.

%package help
Summary: Help Files and Documentation for ircii
Group: Applications/Communications

%description help
This package contains the help files and other documentation
for the ircii client package.  

%changelog

* Wed Jun 18 1997 Timo Karjalainen <timok@iki.fi>

 - Updated to 'roof'
 - Uses BuildRoot
 - Added RPM_OPT_FLAGS
 - Uses ncurses instead of termcap
 - Man pages were installed but not mentioned in the files section, fixed.
 - ircII.servers file now flagged as configuration

%prep 
%setup -n ircii-2.9

%patch0 -p1 -b .noncurses
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc
make prefix=$RPM_BUILD_ROOT/usr install
rm -f doc/*.1
ln -sf irc-2.9_roof $RPM_BUILD_ROOT/usr/bin/irc
ln -sf ircII.1 $RPM_BUILD_ROOT/usr/man/man1/irc.1

echo "irc-2.mit.edu" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc-2.escape.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.texas.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.eskimo.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
chmod 644 $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /usr/lib/irc/ircII.servers
/usr/bin/*
/usr/lib/irc/script
/usr/lib/irc/translation
/usr/man/man1

%files help
%doc doc/*
/usr/lib/irc/help
